# FeatureDetection

#### FeatureDetection()
Core/FeatureDetection.js 276

A set of functions to detect whether the current browser supports various features.

### Methods

#### staticCesium.FeatureDetection.supportsFullscreen() → Boolean
Core/FeatureDetection.js 306

Detects whether the current browser supports the full screen standard.

##### Returns:

true if the browser supports the full screen standard, false if not.

##### See:

- Fullscreen
- W3C Fullscreen Living Specification

#### staticCesium.FeatureDetection.supportsTypedArrays() → Boolean
Core/FeatureDetection.js 317

Detects whether the current browser supports typed arrays.

##### Returns:

true if the browser supports typed arrays, false if not.

##### See:

- Typed Array Specification

#### staticCesium.FeatureDetection.supportsWebAssembly() → Boolean
Core/FeatureDetection.js 339

Detects whether the current browser supports Web Assembly.

##### Returns:

true if the browsers supports Web Assembly, false if not.

##### See:

- https://developer.mozilla.org/en-US/docs/WebAssembly

#### staticCesium.FeatureDetection.supportsWebWorkers() → Boolean
Core/FeatureDetection.js 328

Detects whether the current browser supports Web Workers.

##### Returns:

true if the browsers supports Web Workers, false if not.

##### See:

- http://www.w3.org/TR/workers/